# coding=utf-8
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

u"""Algorithms for performing Trotter steps."""

from __future__ import absolute_import
from openfermioncirq.trotter.algorithms.linear_swap_network import (
    LINEAR_SWAP_NETWORK,
    LinearSwapNetworkTrotterAlgorithm)

from openfermioncirq.trotter.algorithms.low_rank import (
    LOW_RANK,
    LowRankTrotterAlgorithm)

from openfermioncirq.trotter.algorithms.split_operator import (
    SPLIT_OPERATOR,
    SplitOperatorTrotterAlgorithm)
